globals.loadGameData = function() {
    variables.imagesLoaded = 0;
    variables.totalImages = 3 + settings.ELEMENTS.length;

//    variables.skyImage = new Image();
//    utils.setImageLoadListener(variables.skyImage);
//    variables.skyImage.src = settings.SKY_IMAGE_PATH;
//
//    variables.bottomImage = new Image();
//    utils.setImageLoadListener(variables.bottomImage);
//    variables.bottomImage.src = settings.BOTTOM_IMAGE_PATH;
//
//    variables.wavesImage = new Image();
//    utils.setImageLoadListener(variables.wavesImage);
//    variables.wavesImage.src = settings.WAVES_IMAGE_PATH;

    variables.backgroundImage = new Image();
    utils.setImageLoadListener(variables.backgroundImage);
    variables.backgroundImage.src = settings.BACKGROUND_IMAGE_PATH;

    variables.playerImage = new Image();
    utils.setImageLoadListener(variables.playerImage);
    variables.playerImage.src = settings.PLAYER_IMAGE_PATH;

    variables.bobberImage = new Image();
    utils.setImageLoadListener(variables.bobberImage);
    variables.bobberImage.src = settings.BOBBER_IMAGE_PATH;

    variables.elementsImages = new Array();
    for(var i = 0; i < settings.ELEMENTS.length; i++) {
        var img = new Image();
        utils.setImageLoadListener(img);
        img.src = settings.ELEMENTS[i][settings.imagePathParameter];
        variables.elementsImages.push(img);
    }
}

utils.loadOneImage = function(imagePath) {
    var img = new Image();
    utils.setImageLoadListener(img);
    img.src = imagePath;
}

utils.setImageLoadListener = function(img) {
    var oneImageLoaded = function() {
        variables.imagesLoaded++;
        if (variables.imagesLoaded == variables.totalImages) {
            domElements.$preloader.addClass(domElements.invisibleClassName);
            globals.initGameObjects();
        }
    }
    img.onload = function(e) {
        oneImageLoaded();
    };
    img.onerror = function(e) {
        oneImageLoaded();
        alert(img.src + " is missing");
    }
}

globals.initGameObjects = function() {
    if(settings.RECORDS_ENABLED) {
        objects.server = new Server();
        objects.records = new Records();
    }
    objects.intro = new Intro();
    objects.game = new Game();
    utils.turnOnScreen(domElements.$introScreen);
}


globals.init = function() {
    var canvas = document.getElementById("canvas");
    paper.setup(canvas);
    globals.loadGameData();
    utils.setVirtualMouseEvents();
    utils.setOrientationChangeListener();
    utils.resizeAll();
    $(window).resize(function(e) {
        utils.resizeAll();
    });
};

globals.init();