settings.GAME_NAME = "Gioco di pesca";
settings.RECORDS_ENABLED = false;

settings.START_POINTS_NEEDED = 200;
settings.PLUS_LEVEL_POINTS_NEEDED = 100;
settings.TIME_FOR_LEVEL = 60;

settings.SKY_IMAGE_PATH = "images4/sky.jpg";
settings.WAVES_IMAGE_PATH = "images4/water.png";
settings.BOTTOM_IMAGE_PATH = "images4/bottom.png";
settings.BACKGROUND_IMAGE_PATH = "images4/bg1.png";

settings.BACKGROUND_GAME = "images4\/background.png";

settings.START_WATER_COLOR = "#AFEEEE";
settings.END_WATER_COLOR = "#35586C";
settings.ROPE_COLOR = "#fff";

settings.PLAYER_IMAGE_PATH = "images4\/player.png";
settings.BOBBER_IMAGE_PATH = "images4\/hook.png";
settings.PLAYER_WIDTH = 75;
settings.BOBBER_WIDTH = 25;
settings.BOBBER_X_OFFSET = 35;
settings.BOBBER_Y_OFFSET = 10;

settings.PLAYER_Y_POSITION = 50;

settings.BOBBER_SPEED = 8;
settings.START_ELEMENTS_SPEED = 3;
settings.VARIATIVE_ELEMENTS_SPEED = 2;

settings.FISHES_START_Y = 125;
settings.FISHES_END_Y = constants.GAME_HEIGHT - 50;
settings.FISHES_SPAWN_X = 100;

settings.START_ONCE_ELEMENTS_COUNT = 20;
settings.MINUS_LEVEL_ONCE_ELEMENTS_COUNT = 2;
settings.ELEMENT_SPAWN_PER_FRAME_POSSIBILITY = 7;
settings.MIN_ONCE_ELEMENTS = 10;

settings.POINTS_TEXT_COLOR = "#f00";
settings.POINTS_TEXT_SIZE = 25;

settings.ELEMENTS = new Array(
        {
            "imagePath" : "images4\/bank.png",
            "minusSpeed" : 2,
            "points" : 10,
            "width" : 30
        },
        {
            "imagePath" : "images4\/shoe.png",
            "minusSpeed" : 6,
            "points" : 20,
            "width" : 40
        },
        {
            "imagePath" : "images4\/smallFish.png",
            "minusSpeed" : 2,
            "points" : 50,
            "width" : 25
        },
        {
            "imagePath" : "images4\/mediumFish.png",
            "minusSpeed" : 4,
            "points" : 100,
            "width" : 40
        },
        {
            "imagePath" : "images4\/bigFish.png",
            "minusSpeed" : 6,
            "points" : 150,
            "width" : 50
        }
);


settings.imagePathParameter = "imagePath";
settings.minusSpeedParameter = "minusSpeed";
settings.pointsParameter = "points";
settings.widthParameter = "width";