variables.pageX = variables.pageY = undefined;
utils.setVirtualMouseEvents = function() {
    domElements.$canvas.bind("vmousedown", utils.onVirtualMouseDown);
}

utils.onVirtualMouseDown = function(e) {
    objects.game.setMouseClick(utils.getCanvasPoint(e.pageX, e.pageY));
}

utils.getCanvasPoint = function(pageX, pageY) {
    var canvasOffsetLeft = domElements.$canvas.offset().left;
    var canvasOffsetTop = domElements.$canvas.offset().top;
    return new paper.Point(Math.round((pageX - canvasOffsetLeft) / paper.view.zoom), Math.round((pageY - canvasOffsetTop) / paper.view.zoom));
}